Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class SimpleAssemblyMapper

    java.lang.Object
      org.ensembl.datamodel.SimpleAssemblyMapper

All Implemented Interfaces:
  AssemblyMapper

public class SimpleAssemblyMapper
extends java.lang.Object
implements AssemblyMapper

Field Summary
`org.ensembl.util.mapper.Mapper` | `mapper`

Constructor Summary
`SimpleAssemblyMapper(CoreDriver driver, CoordinateSystem assembledCoordinateSystem, CoordinateSystem componentCoordinateSystem)`

Method Summary
`org.ensembl.util.mapper.Coordinate` | `fastmap(Location loc)`
`void` | `flush()`
`CoordinateSystem` | `getAssembledCoordinateSystem()`
`CoordinateSystem` | `getComponentCoordinateSystem()`
`int` | `getSize()`
`boolean` | `haveRegisteredAssembled(java.lang.String seqRegionName, int chunk)`
`boolean` | `haveRegisteredComponent(java.lang.String seqRegionName)`
`java.lang.String[]` | `listSeqRegionNames(Location loc)`
`org.ensembl.util.mapper.Coordinate[]` | `map(Location loc)`
`void` | `registerAssembled(java.lang.String seqRegionName, int chunk)` Mark the given assembly chunk as registered in this AssemblyMapper.
`void` | `registerComponent(java.lang.String seqRegionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapper

    public org.ensembl.util.mapper.Mapper mapper

Constructor Detail

### SimpleAssemblyMapper

    public SimpleAssemblyMapper(CoreDriver driver,
                                CoordinateSystem assembledCoordinateSystem,
                                CoordinateSystem componentCoordinateSystem)

Method Detail

### map

    public org.ensembl.util.mapper.Coordinate[] map(Location loc)
                                             throws AdaptorException

  Specified by:
    `map` in interface `AssemblyMapper`
  Throws:
    `AdaptorException`

### flush

    public void flush()

  Specified by:
    `flush` in interface `AssemblyMapper`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `AssemblyMapper`

### fastmap

    public org.ensembl.util.mapper.Coordinate fastmap(Location loc)
                                               throws AdaptorException

  Specified by:
    `fastmap` in interface `AssemblyMapper`
  Throws:
    `AdaptorException`

### listSeqRegionNames

    public java.lang.String[] listSeqRegionNames(Location loc)
                                          throws AdaptorException

  Throws:
    `AdaptorException`

### haveRegisteredComponent

    public boolean haveRegisteredComponent(java.lang.String seqRegionName)

### haveRegisteredAssembled

    public boolean haveRegisteredAssembled(java.lang.String seqRegionName,
                                           int chunk)

### registerComponent

    public void registerComponent(java.lang.String seqRegionName)

### registerAssembled

    public void registerAssembled(java.lang.String seqRegionName,
                                  int chunk)

  Mark the given assembly chunk as registered in this AssemblyMapper. This doesnt actually load anything. Its merely used by the loading process.

  Parameters:
    `seqRegionName` -
    `chunk` -

### getComponentCoordinateSystem

    public CoordinateSystem getComponentCoordinateSystem()

### getAssembledCoordinateSystem

    public CoordinateSystem getAssembledCoordinateSystem()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD